Commits

Jean-Tiare Le Bigot committed ec754f9

move dev dependencies to requirements.dev.txt

Comments (0)

Files changed (3)

requirements.dev.txt

+nose
+nosexcover
+coverage
+mock
+webtest
+Sphinx
     Programming Language :: Python :: 2.7
     License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)
 requires-dist =
-    Sphinx
     boto == 2.6.0
     onctuous >= 0.5.1
 
 
 import setuptools
 
-
-setup_requires = [
-    # d2to1 bootstrap
-    'd2to1',
-
-    # Testing dependencies (the application doesn't need them to *run*)
-    'nose',
-    'nosexcover',
-    'coverage',
-    'mock',
-    'webtest'
-]
-
-
 setuptools.setup(
-    setup_requires=setup_requires,
+    setup_requires=['d2to1'],
     d2to1=True,
     package_data={"dynamodb_mapper": [
     ]},